$tablet: 'only screen and (min-width: 769px) and (max-width: 991px)';
$phone-big: 'only screen and (max-width: 768px)';
$color-red-light-1: #f2dede;
$color-red-light-2: #eed3d7;
$color-red: #b94a48;

.join-league-container {
  .form-row-item {
    @media #{$phone-big} {
      display: inline-block;
      width: 100%;
      .text-label {
        padding-left: 0;
      }
    }
    margin-bottom: 15px;
    display: flex;
    width: 90%;
    .text-label {
      line-height: 35px;
      width: 200px;
    }

    .form-component-wrapper {
      width: 100%;
    }
  }

  //overide of row margins
  .row-overwrite {
    margin-right: 0;
    margin-left: 0;
  }

  .auth-btn-container {
    width: 100%;
    text-align: center;
    margin-top: 34px;
  }

  // confirm-league-form page
  .join-league-form {
    margin-top: 100px;
    padding-top: 50px;
    padding-bottom: 50px;
    max-width: 900px;
    background-color: #f5f5f5;
    border-radius: 10px;
    .form-row {
      @extend .form-row-item;
    }
    .form-input {
      color: #333;
    }
    .row {
      @extend .row-overwrite;
    }
    @media #{$phone-big} {
      margin-top: 1px;
      padding-top: 40px;
    }

    .error {
      opacity: 0.7;
      background: $color-red-light-1;
      border: 1px solid $color-red-light-2;
      color: $color-red;
    }
  }
}
